BEGIN 9xCC

//1st

IF~Global("ISHxCC","GLOBAL",0)~THEN BEGIN CC000
SAY @0
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",1)~ EXIT
END

//2nd

IF~Global("ISHxCC","GLOBAL",1)~THEN BEGIN CC001
SAY @1
IF~~THEN REPLY @2 GOTO CC002
IF~~THEN REPLY @3 GOTO CC003
END

IF~~THEN BEGIN CC002
SAY @4
=
@5
IF~~THEN REPLY @6 GOTO CC004
IF~~THEN REPLY @7 GOTO CC005
END

IF~~THEN BEGIN CC004
SAY @8
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",2)~ EXIT
END

IF~~THEN BEGIN CC005
SAY @9
=
@10
=
@11
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",99)~ EXIT
END

IF~~THEN BEGIN CC003
SAY @12
IF~~THEN EXIT
END

//3rd talk

IF~Global("ISHxCC","GLOBAL",2)~THEN BEGIN CC006
SAY @13
IF~~THEN REPLY @14 GOTO CC007
IF~PartyHasItem("ISH0") Global("ISHxCC","GLOBAL",2)~THEN REPLY @15 DO ~TakePartyItem("ISH0")~ GOTO CC008
IF~~THEN REPLY @16 GOTO CC005
END

IF~~THEN BEGIN CC007
SAY @17
IF~~THEN EXIT
END

IF~~THEN BEGIN CC008
SAY @18
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",4) EscapeArea()~ EXIT
END

//4th talk

IF~Global("ISHxCC","GLOBAL",10)~THEN BEGIN CC009
SAY @19
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",11) SetGlobalTimer("ISHxCCLast","GLOBAL",FOURTEEN_DAYS)~ EXIT
END

IF~Global("ISHxCC","GLOBAL",11) !GlobalTimerExpired("ISHxCCLast","GLOBAL")~THEN BEGIN CC009
SAY @20
IF~~THEN EXIT
END

//5th talk

IF~Global("ISHxCC","GLOBAL",11) GlobalTimerExpired("ISHxCCLast","GLOBAL")~ THEN BEGIN CC010
SAY @21
=
@22
=
@23
IF~~THEN REPLY @24 GOTO CC011
IF~~THEN REPLY @25 GOTO CC012
IF~~THEN REPLY @26 GOTO CC013
END

IF~~THEN BEGIN CC013
SAY @27
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",20)~ EXIT
END

IF~~THEN BEGIN CC012
SAY @28
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",20)~ EXIT
END

IF~~THEN BEGIN CC011
SAY @29
=
@30
IF~~THEN REPLY @31 GOTO CC014
IF~~THEN REPLY @32 GOTO CC015
IF~~THEN REPLY @33 GOTO CC016
IF~~THEN REPLY @34 GOTO CC017
END

IF~~THEN BEGIN CC014
SAY @35
=
@36
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",20)~ EXIT
END

IF~~THEN BEGIN CC015
SAY @37
=
@38 
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",20)~ EXIT
END

IF~~THEN BEGIN CC016
SAY @39
=
@40
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",20)~ EXIT
END

IF~~THEN BEGIN CC017
SAY @41
IF~~THEN DO ~SetGlobal("ISHxCC","GLOBAL",20)~ EXIT
END

//6th talk

IF~Global("ISHxCC","GLOBAL",20)~THEN BEGIN CC018
SAY @42
IF~~THEN REPLY @43 GOTO CC019
IF~~THEN REPLY @44 GOTO CC020
IF~~THEN REPLY @45 GOTO CC020
END

IF~~THEN BEGIN CC019
SAY @46
IF~~THEN DO ~ForceSpell(LastTalkedToBy(),CLERIC_CURE_LIGHT_WOUNDS)~ EXIT
END

IF~~THEN BEGIN CC020
SAY @47
IF~~THEN EXIT
END


